Skip to main content
GET
/
markets
/
orders
/
{id}
Get Order Detail
curl --request GET \
  --url https://pm-t1.bxingupdate.com/bvapi/markets/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "message": "success",
  "data": {
    "orderId": "<string>",
    "status": "<string>",
    "owner": "<string>",
    "makerAddress": "<string>",
    "market": "<string>",
    "assetId": "<string>",
    "side": "<string>",
    "originalSize": "<string>",
    "sizeMatched": "<string>",
    "price": "<string>",
    "outcome": "<string>",
    "expiration": "<string>",
    "orderType": "<string>",
    "associateTrades": [
      "<string>"
    ],
    "orderVersion": 123,
    "createdAt": 123,
    "localOrderStatus": 123,
    "marketQuestion": "<string>",
    "aiAgentId": "<string>"
  }
}
Returns the full details of a single order, including fill history and current status.

Path Parameters

id
string
required
The order ID to look up.

Query Parameters

venue
string
default:"polymarket"
Trading venue identifier. Default: polymarket.
walletAddress
string
required
The agent’s wallet address (used for authorization).

Response

data
object
Order detail object.

Authorizations

Authorization
string
header
default:YOUR_API_KEY
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Order ID (order hash)

Query Parameters

venue
string
default:polymarket

Trading venue (default: polymarket)

Maximum string length: 50
walletAddress
string

Wallet address (for multi-wallet scenarios, 0x-prefixed 40 hex chars)

Pattern: ^0x[a-fA-F0-9]{40}$

Response

200 - application/json

Order details

code
integer
Example:

200

message
string
Example:

"success"

data
object